Page MenuHomePhabricator

Signature syntax ~~~~ is not expanded in the preview
Closed, ResolvedPublicBUG REPORT

Description

At https://www.mediawiki.org/wiki/Topic:V80l64inuhz2rhyt a user reports the ~~~~ wiki syntax not being expanded in the preview. Luckily this is only a visual inconsistency. After actually importing the file, the syntax is expanded (as expected) on the resulting file description page.

Note this is not only about the ~~~~ syntax, but about all pre-save transforms.

Acceptance criteria:

  • Pre-save transforms are applied in the preview.
  • On the resulting file description page, the syntax is expanded as before.

Demo:

  • Import any file.
  • Edit the file description.
  • Add ~~~~.
  • In the preview, this should be expanded to the current users name.

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptSep 26 2019, 1:57 PM
awight changed the subtype of this task from "Task" to "Bug Report".
Alsee added a subscriber: Alsee.Sep 28 2019, 12:56 PM
WMDE-Fisch added subscribers: Pikne, WMDE-Fisch.

@Pikne the task description reads as if this is concerning the FileImporter - so Move-Files-To-Commons should be the correct tag. - Or is something similar happening with the Two-Column-Edit-Conflict-Merge feature? :-)

Uh, I think it was me messing this up. It seems we have the same bug in both extensions. Since I wrote this here with the FileImporter in mind, we should create a separate one for Two-Column-Edit-Conflict-Merge.

Pikne added a comment.Sep 30 2019, 3:47 PM

Indeed, sorry. I only looked that original report was about edit conflicts and I figured that file imports don't have much to do with signatures. Now I recall that file description pages sometimes do include signatures. :)

Change 552772 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Apply pre-save transformations (e.g. signature) on preview

https://gerrit.wikimedia.org/r/552772

Change 552772 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Apply pre-save transformations (e.g. signature) on preview

https://gerrit.wikimedia.org/r/552772

Ammarpad closed this task as Resolved.Jan 1 2020, 10:23 AM
Ammarpad assigned this task to thiemowmde.